CreateWorkerDetails

class oci.apm_synthetics.models.CreateWorkerDetails(**kwargs)

Bases: object

Details of the request body used to create a new worker for an On-premise vantage point.

Attributes:

STATUS_DISABLED

A constant which can be used with the status property of a CreateWorkerDetails.

STATUS_ENABLED

A constant which can be used with the status property of a CreateWorkerDetails.

WORKER_TYPE_DOCKER

A constant which can be used with the worker_type property of a CreateWorkerDetails.

configuration_details

Gets the configuration_details of this CreateWorkerDetails.

defined_tags

Gets the defined_tags of this CreateWorkerDetails.

freeform_tags

Gets the freeform_tags of this CreateWorkerDetails.

name

[Required] Gets the name of this CreateWorkerDetails.

priority

Gets the priority of this CreateWorkerDetails.

resource_principal_token_public_key

[Required] Gets the resource_principal_token_public_key of this CreateWorkerDetails.

status

Gets the status of this CreateWorkerDetails.

version

[Required] Gets the version of this CreateWorkerDetails.

worker_type

Gets the worker_type of this CreateWorkerDetails.

Methods:

__init__(**kwargs)

Initializes a new CreateWorkerDetails object with values from keyword arguments.

STATUS_DISABLED = 'DISABLED'

A constant which can be used with the status property of a CreateWorkerDetails. This constant has a value of “DISABLED”

STATUS_ENABLED = 'ENABLED'

A constant which can be used with the status property of a CreateWorkerDetails. This constant has a value of “ENABLED”

WORKER_TYPE_DOCKER = 'DOCKER'

A constant which can be used with the worker_type property of a CreateWorkerDetails. This constant has a value of “DOCKER”

__init__(**kwargs)

Initializes a new CreateWorkerDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • name (str) – The value to assign to the name property of this CreateWorkerDetails.

  • version (str) – The value to assign to the version property of this CreateWorkerDetails.

  • resource_principal_token_public_key (str) – The value to assign to the resource_principal_token_public_key property of this CreateWorkerDetails.

  • configuration_details (object) – The value to assign to the configuration_details property of this CreateWorkerDetails.

  • worker_type (str) – The value to assign to the worker_type property of this CreateWorkerDetails. Allowed values for this property are: “DOCKER”

  • status (str) – The value to assign to the status property of this CreateWorkerDetails. Allowed values for this property are: “ENABLED”, “DISABLED”

  • priority (int) – The value to assign to the priority property of this CreateWorkerDetails.

  • freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this CreateWorkerDetails.

  • defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this CreateWorkerDetails.

property configuration_details

Gets the configuration_details of this CreateWorkerDetails. Configuration details of the On-premise VP worker.

Returns

The configuration_details of this CreateWorkerDetails.

Return type

object

property defined_tags

Gets the defined_tags of this CreateWorkerDetails. Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}}

Returns

The defined_tags of this CreateWorkerDetails.

Return type

dict(str, dict(str, object))

property freeform_tags

Gets the freeform_tags of this CreateWorkerDetails. Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”}

Returns

The freeform_tags of this CreateWorkerDetails.

Return type

dict(str, str)

property name

[Required] Gets the name of this CreateWorkerDetails. Unique On-premise VP worker name that cannot be edited. The name should not contain any confidential information.

Returns

The name of this CreateWorkerDetails.

Return type

str

property priority

Gets the priority of this CreateWorkerDetails. Priority of the On-premise VP worker to schedule monitors.

Returns

The priority of this CreateWorkerDetails.

Return type

int

property resource_principal_token_public_key

[Required] Gets the resource_principal_token_public_key of this CreateWorkerDetails. public key for resource Principal Token based validation to be used in further calls.

Returns

The resource_principal_token_public_key of this CreateWorkerDetails.

Return type

str

property status

Gets the status of this CreateWorkerDetails. Enables or disables the On-premise VP worker.

Allowed values for this property are: “ENABLED”, “DISABLED”

Returns

The status of this CreateWorkerDetails.

Return type

str

property version

[Required] Gets the version of this CreateWorkerDetails. Image version of the On-premise VP worker.

Returns

The version of this CreateWorkerDetails.

Return type

str

property worker_type

Gets the worker_type of this CreateWorkerDetails. Type of the On-premise VP worker.

Allowed values for this property are: “DOCKER”

Returns

The worker_type of this CreateWorkerDetails.

Return type

str